Create application VRP configuration by Application Id
curl --request POST \
--url https://api.yapily.com/applications/{applicationId}/vrp \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"maximumCumulativeNumberOfPayments": 1,
"periodicLimits": [
{
"maximumAmount": {
"amount": 10,
"currency": "GBP"
},
"frequency": "MONTHLY"
}
],
"recurringPaymentCategory": "ONGOING"
}
'import requests
url = "https://api.yapily.com/applications/{applicationId}/vrp"
payload = {
"maximumCumulativeNumberOfPayments": 1,
"periodicLimits": [
{
"maximumAmount": {
"amount": 10,
"currency": "GBP"
},
"frequency": "MONTHLY"
}
],
"recurringPaymentCategory": "ONGOING"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
maximumCumulativeNumberOfPayments: 1,
periodicLimits: [{maximumAmount: {amount: 10, currency: 'GBP'}, frequency: 'MONTHLY'}],
recurringPaymentCategory: 'ONGOING'
})
};
fetch('https://api.yapily.com/applications/{applicationId}/vrp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name-is-mandatory": {
"value": {
"errors": [
{
"fieldName": "name",
"error": "MANDATORY"
}
]
}
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 401,
"status": "UNAUTHORIZED",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "CREDENTIALS",
"code": 10700,
"message": "Authorization header invalid or credentials not authenticated"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 403,
"status": "FORBIDDEN",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INVALID_REQUEST",
"code": "Yapily.gateway.api.scope.required",
"message": "You don't have the right scope to access this resource"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 404,
"status": "NOT FOUND",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INVALID_REQUEST",
"code": 10800,
"message": "Resource not found"
}
]
}
}{
"error": {
"tracingId": "0c2d0973bdd24224a65e5d0f7d1b6154",
"code": 500,
"status": "INTERNAL SERVER ERROR",
"supportUrl": "https://support.yapily.com/",
"source": "YAPILY",
"issues": [
{
"type": "INTERNAL_SERVER_ERROR",
"code": 11000,
"message": "Unexpected server error"
}
]
}
}Application Management
Create application VRP configuration by Application Id
Create application vrp configuration
Create application VRP configuration by Application Id
Authorizations
Use HTTP Basic Authentication with your Application ID as username and Application Secret as password. Manage credentials in the Yapily Console. See Authentication for details.
Path Parameters
The id of the application that vrp configuration being created for
Body
application/json
The vrp configuration to create
Maximum amount per transaction
Show child attributes
Show child attributes
Maximum cumulative amount
Show child attributes
Show child attributes
Maximum cumulative number of payments
Required range:
x >= 0Minimum array length:
1Show child attributes
Show child attributes
Payment Category with allowed values: ONGOING, SUBSCRIPTION
Example:
"ONGOING"
Response
Application vrp configuration was successfully created
Was this page helpful?
⌘I